body{
    overflow-x: hidden;
}
.mr10{
 margin-right: 10px !important;
}
.mt17{
    margin-top: 33px;
}
.content-wrapper {
    padding: 10px 10px;
    clear: both !important;
}

img.header-back {
    position: fixed;
    z-index: -1;
    bottom: 0px;
}

img.header-back.back-right {
    right: 0px;
    width: 30%;
}

img.header-back.back-left {
    left: 0px;
    width: 20%;
}

#head-builder-canvas{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    /*border-radius: 49%;*/
}

#canvas-wrapper{
    width: calc(100vh - 50px);
    /*width: calc(71.5vh - 50px);*/
    /*width: 100%;*/
    margin: auto;
    /*setting height in JS*/
    display: flex;
    justify-content: center;
    align-items: center;
    background: url('/images/drum-ring.png');
    background-size: cover;
}

label{
    display: block;
    /*width: 100%;*/
    font-size: 14px;
    color: #363636;
}

.default-input{
    width: 100%;
    border-radius: 4px;
    margin-bottom: 10px;
    padding: 5px 10px;
    border: 1px solid #ccc;
}

.btn-default{
    border-radius: 3px;
    padding: 3px 20px;
    margin: 0px 3px;
    font-size: 14px;
    border: 1px solid var(--blue-color);
    color: var(--blue-color);
    background: transparent;
}

.btn-default:hover, .btn-default.active{
    background-color: var(--blue-color);
    color: #fff;
}

.nav-tabs .nav-link{
    background-color: var(--blue-color);
    color: #fff;
    font-size: 14px;
    border: none;
    border-top-right-radius: 15px;
    border-top-left-radius: 8px;
    margin-right: 1px;
    min-width: 100px;
    text-align: center;
}

.nav-tabs .nav-link.active {
    background-color: var(--grey-color);
    color: #555;
}

.tab-content {
    background: var(--grey-color);
    padding: 15px 15px;
    min-height: 270px;
}

select.custom-select {
    padding: 4px 10px !important;
    border: none !important;
    border-radius: 4px !important;
    font-size: 14px;
    height: auto !important;
    background: #fff url("/images/down-arrow.png") no-repeat right .75rem center
}

select.custom-select:focus{
    box-shadow: none;
    outline: none;
}

textarea {
    border-radius: 4px;
    width: 100%;
    border: none;
}

.order-container {
    background: #ececec;
    padding: 5px 15px;
    padding-bottom: 10px;
    margin-top: 10px;
    border-radius: 4px;
    display: flex;
    align-items: center;
}

h4 {
    color: var(--blue-color);
    font-weight: bold;
    font-size: 17px;
}

.order-container .left {
    width: 75%;
    margin-right: 26px;
}

.order-container .right {
}

button.btn-order {
    background: green;
    border: none;
    color: #fff;
    padding: 8px 12px;
    border-radius: 6px;
    box-shadow: 0px 3px 7px #555;
}

button.btn-icon {
    border: none;
    border-radius: 3px;
    padding: 2px 15px;
    width: 98%;
    cursor: pointer;
    color: #555;
    background: rgba(255,255,255,0.5);
    font-size: 12px;
}

button.btn-icon:hover {
    background: #ccc;
}

.btn-icon i.fa {
    margin-right: 15px;
}

.widgets-wrapper {
    display: flex;
    position: relative;
    z-index: 1000;
    flex-wrap: wrap;
    align-items: flex-start;
}

.menu {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.widget {
    display: flex;
    align-items: center;
    margin: 0 10px;
    border: 1px solid transparent;
}

.widget img {
    max-width: 100%;
    max-height: 100%;
}

.widget i {
    color: #fff;
    font-size: 18px;
    text-align: center;
    width: 30px;
    background: var(--blue-color);
    padding: 5px;
    border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
}

.widget span {
    font-size: 11px;
    padding: 6px;
    min-width: 70px;
    color: var(--blue-color);
    font-weight: bold;
    background: var(--grey-color);
    border-top-right-radius: 3px;
    border-bottom-right-radius: 3px;
}

.widget:hover {
    cursor: pointer;
    border: 1px solid var(--blue-color);
    border-radius: 3px;
}

.ribbon {
    display: none;
    /*width: calc(100% - 120px);*/
    background: var(--grey-color);
    border-radius: 0px;
    margin-bottom: 10px;
}

.ribbon .widgets {
    padding: 10px;
}

.ribbon .widgets label {
    margin-bottom: 0px;
    margin-top: 15px;
}

.ribbon .text {
    width: 100%;
    background: #fff;
    border: none;
    border-radius: 4px;
    padding: 5px 10px;
    font-size: 14px;
}

button.btn-simple {
    border: none;
    font-size: 14px;
    border-radius: 4px;
    padding: 4px 15px;
    background: var(--blue-color);
    margin-top: 10px;
    color: #fff;
}

.logos-container {
    display: flex;
    flex-wrap: wrap;
}

.card-container {
    border-radius: 2px;
    box-shadow: 0px 2px 6px #ccc;
    margin: 10px 20px;
    width: 150px;
}

.card-container:hover {
    background: #2b34a02e;
    box-shadow: none;
}

.card-container .image-container {
    height: 120px;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-container img {
    max-width: 100px;
    max-height: 100px;
}

.card-footer {
    text-align: center;
    padding: 5px;
    border: none;
    color: var(--blue-color);
    font-size: 15px;
    font-weight: bold;
}

.other-icons {
    display: inline-flex;
    margin-top: 10px;
}

.other-icons .small-icons {
    border: 1px solid var(--blue-color);
    border-radius: 2px;
    cursor: pointer;
    width: 35px;
    height: 35px;
    text-align: center;
    margin: 0px 5px;
    display: inline-block;
    justify-content: center;
    align-items: center;
    padding-top: 5px;
}

.small-icons svg {
    width: 90%;
    height: 90%;
    margin-bottom: -5px;
}

.small-icons svg path{  
    fill: var(--blue-color);
}

.small-icons:hover svg path{
    fill: #fff;
}

.small-icons i {
    color: var(--blue-color);
}

.small-icons img {
    max-width: 90%;
    max-height: 90%;
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * SPECTRUM COLOR PICKER CUSTOMIZER
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
.sp-replacer {
    border: none;
    background: none;
}

.sp-dd {
    display: none;
}

.sp-preview {
    border: none;
}

button.sp-choose {
    background: var(--blue-color);
    border: none;
    font-size: 10px;
    color: #fff;
    text-shadow: none;
}

button.sp-choose:hover {
    background: #2b34a08f;
    border: none;
    text-shadow: none;
}

input.sp-input {
    background: #fff;
    border: 1px solid #ccc;
}

.sp-picker-container {
    background: #fff;
}

.sp-container {
    border: none;
    border-radius: 8px;
    box-shadow: 0px 0px 7px #b4b9f7;
}

.sp-color, .sp-hue, .sp-clear {
    border: none;
}

/*done*/

.other-icons .small-icons:hover, .other-icons .small-icons.active {
    background: var(--blue-color);
}

.other-icons .small-icons:hover i, .other-icons .small-icons.active i {
    color: #fff;
}

.tooltip-inner {
    color: #fff;
    background: var(--blue-color);
}

.arrow::before {
    border-right-color: var(--blue-color) !important;
}

.widget#drum-back-color .sp-replacer.sp-light{
    width: 0px;
    padding: 0px;
}

.pre-image-container {
    display: flex;
    justify-content: center;
    padding: 20px;
    flex-wrap: wrap;
}

#pre-image-modal .modal-content {
    border-radius: 12px;
    border: none;
}

.image-upload-option {
    margin: 10px;
    width: 180px;
    height: 180px;
    cursor: pointer;
    padding: 10px;
    border: 1px solid #eee;
    text-align: center;
    border-radius: 6px;
}

.image-upload-option img {
    width: 80%;
    height: 80%;
    border-radius: 24px;
}

.image-upload-option h4 {
    font-size: 12px;
    text-align: center;
    margin-top: 5px;
}

.image-upload-option:hover {
    background: #fcfcfc;
}



.cropper-view-box{
    outline: 2px solid #ddd !important;
    outline-color: #ffc107eb !important;
}

#thumbnail-modal .modal-content{
    border-radius: 15px;
}
#thumbnail-modal .modal-footer {
    border-radius: 15px;
}
#thumbnail-modal .modal-body {
    height: calc(100vh - 130px);
    overflow-y: auto;
}

/*DREAMSTIME MODAL*/
.dreamstime-modal h1 {
    font-weight: bold;
    color: var(--orange-color);
    text-transform: uppercase;
    font-size: 24px;
}

button#search-dreamstime {
    margin: 0px;
}

input#dreamstime-q {
    border-color: var(--blue-color);
    color: var(--blue-color);
}

.dreamstime-modal .box {    
    margin: auto;
    background: #ececec;
    margin-bottom: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.dreamstime-modal .box p {
    padding: 10px;
    margin: 0px;
    background: var(--blue-color);
    width: 100%;
    color: #fff;
    font-size: 12px;
    height: 70px;
}

.dreamstime-modal .thumbnail-wrapper {
    width: 300px;
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.dreamstime-modal .thumbnail-wrapper img {
    max-width: 100%;
    max-height: 100%;
}

.dreamstime-image .price-wrapper{
    display: flex;
    width: 100%;
}

.dreamstime-image .price-wrapper .title {
    width: 70%;
}

.dreamstime-image .price-wrapper .price {
    width: 30%;
}

.dreamstime-image .price-wrapper .price .amount {
    font-size: 24px;
}

#shadow-hoffset, #shadow-voffset, #shadow-blur-size {
    width: 60px;
    margin-right: 5px;
    border: none;
    border-radius: 3px;
    text-align: center;
}

option[disabled] {
    background: #eee;
}

.title-bar {
    display: flex;
    justify-content: space-between;
    background: #2b34a0;
    padding: 5px 10px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
}

.title-bar p {
    color: #fff;
    margin: 0px;
    line-height: 21px;
    font-size: 16px;
    font-weight: bold;
}

.title-bar .icon {
    font-weight: bold;
    color: #fff;
    background: #98a0fb;
    font-size: 20px;
    line-height: 17px;
    display: block;
    padding: 0px 6px;
    cursor: pointer;
}

.title-bar .icon:hover {
    color: #2b34a0;
}

@media screen and (max-width: 767px) {
    .menu {
        margin-bottom: 10px;
    }
    .widget {
        margin: 0 0 5px;
    }
    .nav-tabs .nav-link {
        min-width: 98px;
    }
    .btn-default {
        padding: 3px 10px;
        margin: 0px 2px;
    }
}
@media screen and (min-width: 767px) and (max-width: 991px) {
    .menu {
        margin-bottom: 10px;
    }
    .widget {
        margin: 0 5px 5px;
    }
    .nav-tabs .nav-link {
        min-width: 98px;
    }
    .btn-default {
        padding: 3px 10px;
        margin: 0px 2px 5px;
    }
}
@media screen and (min-width: 992px) and (max-width: 1350px) {
    .widget {
        margin: 0 5px 5px;
    }
}

.builder-title {
    font-size: 20px;
    font-weight: bold;
    color: var(--blue-color);
    margin: 15px 0;
}
.orange-border {
    border-top: 2px solid #fa8d0e;
}

/* Absolute Center Spinner */
.loading {
  position: fixed;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

/* Transparent Overlay */
.loading:before {
  content: 'loading';
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0, .8));

  background: -webkit-radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0,.8));
}

/* :not(:required) hides these rules from IE9 and below */
.loading:not(:required) {
  /* hide "loading..." text */
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loading:not(:required):after {
  content: '';
  display: block;
  font-size: 10px;
  width: 1em;
  height: 1em;
  margin-top: -0.5em;
  -webkit-animation: spinner 150ms infinite linear;
  -moz-animation: spinner 150ms infinite linear;
  -ms-animation: spinner 150ms infinite linear;
  -o-animation: spinner 150ms infinite linear;
  animation: spinner 150ms infinite linear;
  border-radius: 0.5em;
  -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}